<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>bigint_size</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="percentbigint_sign.html">&lt;&lt; bigint_sign</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_7b349a707006df5d98ef704349f404bc.html">extended_scilab_functions</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="percentbigint_sqrt.html">bigint_sqrt &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">bigint</a> &gt;&gt; <a href="section_7b349a707006df5d98ef704349f404bc.html">extended_scilab_functions</a> &gt; bigint_size</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">bigint_size</h1>
    <p class="refpurpose">overloading  compatibility for size for bigint</p></div>


<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">x:</span>
            <dd><p class="para">bigint</p></dd></dt>
        <dt><span class="term">opt :</span>
            <dd><p class="para">double or integer</p></dd></dt>
        <dt><span class="term">p,n :</span>
            <dd><p class="para">integers</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">size of bigint is 1x1 ( bigint considered as a mbigint with 1 cell)</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabcomment">//</span>
<span class="scilabid">x</span><span class="scilaboperator">=</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">12345678</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span>
<span class="scilabopenclose">[</span><span class="scilabid">p</span><span class="scilabdefault">,</span><span class="scilabid">n</span><span class="scilabopenclose">]</span><span class="scilaboperator">=</span><a class="scilabcommand" href="scilab://size">size</a><span class="scilabopenclose">(</span><span class="scilabid">x</span><span class="scilabopenclose">)</span> <span class="scilabcomment">// = p=1,n=1</span>
<span class="scilabid">p</span><span class="scilaboperator">=</span><a class="scilabcommand" href="scilab://size">size</a><span class="scilabopenclose">(</span><span class="scilabid">x</span><span class="scilabdefault">,</span><span class="scilabnumber">1</span><span class="scilabopenclose">)</span> <span class="scilabcomment">// = p=1</span>
<span class="scilabid">n</span><span class="scilaboperator">=</span><a class="scilabcommand" href="scilab://size">size</a><span class="scilabopenclose">(</span><span class="scilabid">x</span><span class="scilabdefault">,</span><span class="scilabnumber">2</span><span class="scilabopenclose">)</span> <span class="scilabcomment">// = n=1</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="scilab://size" class="link">size</a></li>
   <li class="member"><a href="scilab://length" class="link">length</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Philippe Roux</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="percentbigint_sign.html">&lt;&lt; bigint_sign</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_7b349a707006df5d98ef704349f404bc.html">extended_scilab_functions</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="percentbigint_sqrt.html">bigint_sqrt &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
